## libvirt 1.2.4

=== debian/changelog ===
libvirt (1.2.4-1~bpo70+1.1) wheezy-backports; urgency=medium

  * Non-maintainer upload.
  * Revert switch from avahi to avahi-daemon in init script; fixes
    co-installability with avahi in wheezy.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Aug 2014 15:02:36 -0700

libvirt (1.2.4-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Fixes LSN-2014-0003
  * Remaining chnages:
    * [b46b754] Drop sheepdog support not available in Wheezy
    * [31a2113] Use libnl1
      since libnetcf1 is linked against libnl1 in Wheezy. Also make sure we
      don't pickup up libnetcf-dev using libnl3.
    * [c5a59dd] Drop version in polkit-1 dependency.
      This reintroduces CVE-2013-4311 since we don't have a recent enough
      polkit-1 in wheezy.
    * [4db6aaa] Disable xenlight support not available in wheezy

 -- Guido Günther <agx@sigxcpu.org>  Tue, 06 May 2014 14:12:38 +0200

libvirt (1.2.4-1) unstable; urgency=medium

  * [b38846c] New upstream version 1.2.4
  * [f8d48c5] Drop.
        tests-Only-use-privileged-mode-if-Qemu-user-and-grou.patch
    applied upstream
  * [8388a28] Disable hal on all architectures (Closes: #710195)
  * [726b0bb] LSN-2014-0003: Don't expand entities when parsing XML

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 May 2014 10:59:18 +0200

libvirt (1.2.4~rc2-1) experimental; urgency=medium

  * [1190eb8] New upstream version 1.2.4~rc2
  * [382f71a] Bump symbol versions
  * [278d3b6] Rebase patches.
    Dropped
        libvirt-guests-avoid-bashism.patch
        tests-Don-t-crash-when-creating-the-config-object-fa.patch
    fixed upstream
    Modified:
        tests-Only-use-privileged-mode-if-Qemu-user-and-grou.patch
    to better suite upstream.
  * [057fc1d] Add more build-deps so we can run more test during "make check"
  * [7f310c8] More verbose test output
  * [5be4d5e] Include bug-presubj to request some more data on bug reports.
  * [6bd3b3e] Stab at a build fix for kFreeBSD

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 May 2014 14:08:24 +0200

libvirt (1.2.3-1) experimental; urgency=medium

  * [aa5cd19] /etc/init.d/libvirt-guests: source /lib/lsb/init-function.
    This make sure we redirect calls to systemctl correctly
    Thanks to Laurent Bigonville (Closes: #739082)
  * [9be0bf9] Remove old restart handling code from postinst.
    This brings the dh_installinit calls in line with the dh_systemd_start
    calls.
    Thanks to Laurent Bigonville (Closes: #739096)
  * [9c408f9] New upstream version 1.2.2. Fixes CVE-2013-6456
    (Closes: #741276, #732394)
  * [e2f0077] Bump symbols versions
  * [c7bf776] Update patches.
    Dropped
      xen-fix-parsing-xend-http-response.patch - applied upstream
  * [cca8c1e] New upstream version 1.2.3
  * [11ad777] New patch Skip-vircgrouptest.patch.
    Skip vircgrouptest since the sys emulating code isn't complete and fails
    in our /sys free chroot.
  * [448ab8c] Build-depend on libsystemd-daemon-dev on linux
  * [66f2a93] Refresh patches
  * [3038786] Fix test failures
  * [bbed2fd] Depend on libattr1-dev for selinux tests
  * [659fc63] Bump symbol versions
  * [618b64f] Adjust systemd installation to upstream changes
  * [1850e36] Bump standards version
  * [e934847] libvirt-guests: avoid bashism

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Apr 2014 12:15:02 +0200

libvirt (1.2.1-2) unstable; urgency=medium

  * [e936a7e] Document libvirt user capabilities
  * [94096c9] xen: fix parsing xend http response.  This unbreaks xen on
    wheezy.
    Thanks to Jim Fehlig
  * [fb06860] Install virt-aa-helper for apparmor

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Jan 2014 07:42:22 +0100
