## libvirt 1.2.8

=== debian/changelog ===
libvirt (1.2.8-2b1) staging; urgency=high

  * No-change rebuild for Tanglu because of DSA-3038-1

 -- Thomas Funk <t.funk@web.de>  Sat, 27 Sep 2014 19:23:42 +0200

libvirt (1.2.8-2) unstable; urgency=medium

  * [7b0894e] Debianize virtlockd unit file
  * [2c522fd] Tag Debian specific patches as such
  * [e1e734b] CVE-2014-3633: qemu: blkiotune: Use correct definition when
    looking up disk. Thanks to Peter Krempa (Closes: #762203)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Sep 2014 08:53:01 +0200

libvirt (1.2.8-1) experimental; urgency=medium

  * [e55688b] New upstream version 1.2.8
    (Closes: #760510)
  * [daa5c92] New upstream version 1.2.8~rc2
  * [7f85d5e] Bump symbol versions
  * [ea29953] Rediff patches.
    Drop patches appplied upstream:
        Don-t-fail-qemu-driver-intialization-if-we-can-t-det.patch
        Include-param.h-on-kFreeBSD.patch
        Make-uri-command-a-bit-more-prominent.patch
  * [4633967] Verify tarball signature

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Sep 2014 19:56:50 +0200

libvirt (1.2.7-11) unstable; urgency=medium

  * [6534478] Check status in a systemd 208 compatible way
    systemd 204 returned 0 when trying to reload a not running service but
    208 changed behaviour. So use status instead of is-enabled.
    Thanks to Neutron Soutmun for his feedback (Closes: #758688)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Aug 2014 10:54:26 +0200

libvirt (1.2.7-10) unstable; urgency=medium

  * [d319f15] Only reexec virtlockd if enabled (Closes: #758688)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Aug 2014 16:34:36 +0200

libvirt (1.2.7-9) unstable; urgency=medium

  * [1c2c5ee] Don't let dh_systemd_start guess the package to act on
    (Closes: #758552)
  * [ab79901] Don't restart libvirt-guests when using systemd so it's
    consistent with sysvinit. We'd restart VMs on package upgrads otherwise.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Aug 2014 09:59:47 +0200

libvirt (1.2.7-8) unstable; urgency=medium

  * [d98aa3b] Fix wrong relation in preinst.
    Thanks to Laurent Bigonville (Closes: #758136)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Aug 2014 21:06:45 +0200

libvirt (1.2.7-7) unstable; urgency=medium

  * [42dbd16] Skip more linux specific stuff on kFreeBSD
  * [a2ff23f] Don't restart virtlockd on upgrade virtlockd must be reloaded so
    it reexecs itself. (Closes: #757453)
  * [4914adc] Use symlinks for upstream changelog.  This safes 1.9M per
    package
  * [3583f4b] Don't fail qemu driver intialization if we can't determine
    hugepage size.  Thanks to a lot to Jamie Heilman for testing it
    (Closes: #757609)
  * [3b23724] Make 'uri' command a bit more prominent. (Closes: #688778)
  * [63e7e51] Also stop libvirt-bin in libvirt-bin's preinst.
    When libvirt-daemon-system's preinst runs the new libvirt-bin might
    already be unpacked and therefore the libvirt-bin service file already
    gone. So additionally stop libvirt-bin in libvirt-bin's preinst.
    (Closes: #757952)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 Aug 2014 21:50:07 +0200

libvirt (1.2.7-6) unstable; urgency=medium

  * [5e39138] Don't provide libvirt-bin via LSB headers.
    This avoids a conflict when /e/i/libvirt-bin and /e/i/libvirtd
    are around at the same time during dpkg's configure phase and
    both init scripts Provide: libvirt-bin.
    (Closes: #757330)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2014 17:58:36 +0200

libvirt (1.2.7-5) unstable; urgency=medium

  * [06d457c] Bump comparison version so this applies to current failed
    upgrades too.
  * [bdae16d] Remove another obsolete conffile (Closes: #757332)
  * [2f486c5] Don't try to stop libvirt-bin if it's already gone
    (Closes: #757407)
  * [a9643a0] Remove another obsolete conffile (Closes: #757332)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2014 23:21:39 +0200

libvirt (1.2.7-4) unstable; urgency=medium

  * [5e71896] Move networking configuration to libvirt-daemon-system too
  * [32eea48] Remove left over empty directory
  * [b3a2735] Also purge libvirt-bin.service on new installations.
    The old service file was in libvirt-bin so we need to remove it when
    libvirt-daemon-service is first installed (as we did before when
    the whole code was in the postinst).
    Thanks to Laurent Bigonville for the analysis (Closes: #757293)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2014 10:57:53 +0200

libvirt (1.2.7-3) unstable; urgency=medium

  * Upload to unstable
  * [f634d53] Don't try to install qemu configuration on kFreeBSD.
    QEMU support on kFreeBSD support is currently disabled due to test
    failures.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Aug 2014 20:28:05 +0200

libvirt (1.2.7-2) experimental; urgency=medium

  * [ebfec9b] Don't try to install lxc.conf on kFreeBSD.
    Another kFreeBSD build fix

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Aug 2014 14:10:57 +0200

libvirt (1.2.7-1) experimental; urgency=medium

  * [65e69d3] New upstream version 1.2.7
  * [d615910] Don't try to install virt-login-shell on non-linux.
    It's LXC only. This fixes the build failure on kFreeBSD.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Aug 2014 19:20:26 +0200

libvirt (1.2.7~rc2-1) experimental; urgency=medium

  [ Guido Günther ]
  * [16575d9] New upstream version 1.2.7~rc2
  * [bc785a7] Drop left over libvirt-bin references.
    Fixes more leftovers of #730604.
  * [ca64c62] Rediff patches
  * [998e7d4] Update symbols file
  * [06cf7b4] Make sure libvirt-bin versioned dependencies are recent enough

  [ Laurent Bigonville ]
  * [daf46fe] Stop the daemon in the preinst script instead of the postinst
    one when renaming the .service file as it now contains the
   "Restart=on-failure" option and blindly killing the daemon is not working
   anymore.  This completes the fix for #730604

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Aug 2014 10:52:57 +0200

libvirt (1.2.6-2) experimental; urgency=medium


