=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends:
  debhelper (>= 7),
- dh-systemd (>= 1.3),
+ dh-systemd (>= 1.18),
  libxml2-dev,
  libncurses5-dev,
  libreadline-dev,
  zlib1g-dev,
- libgcrypt11-dev,
- libgnutls-dev,
+ libgcrypt20-dev,
+ libgnutls28-dev,
  libavahi-client-dev,
  libsasl2-dev,
- libxen-dev [i386 amd64],
+ libxen-dev (>= 4.3) [i386 amd64],
  lvm2 [linux-any],
  open-iscsi [linux-any],
  libparted0-dev (>= 2.2),
@@ -22,23 +22,28 @@
  libdevmapper-dev [linux-any],
  uuid-dev,
  libudev-dev [linux-any],
- libhal-dev [!linux-any],
  libpciaccess-dev,
  kmod [linux-any],
- policykit-1,
+ policykit-1 (>= 0.105-4~),
  libcap-ng-dev [linux-any],
- libnl-dev [linux-any],
+ libnl-3-dev [linux-any],
+ libnl-route-3-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
  radvd [linux-any],
- libnetcf-dev (<< 1:0.2.0-5~) [linux-any],
+ libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libsanlock-dev [linux-any],
  libaudit-dev [linux-any],
  libselinux1-dev (>= 2.0.82) [linux-any],
  libapparmor-dev [linux-any],
  libsystemd-daemon-dev [linux-any],
  systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
+# for --with-storage-sheepdog
+ sheepdog [linux-any],
+# for --with-storage-rados
+ librbd-dev [linux-any],
+ librados-dev [linux-any],
 # for lxc fuse support
  libfuse-dev [linux-any],
 # for libssh2 connection URIs
@@ -50,7 +55,6 @@
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
- libattr1-dev,
  ebtables [linux-any],
  iptables [linux-any],
  qemu-utils [linux-any],
@@ -62,28 +66,89 @@
 
 Package: libvirt-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
+Depends:
+ ${misc:Depends},
+ libvirt-daemon-system (>= ${binary:Version}),
+ libvirt-clients (>= ${binary:Version}),
+Section: oldlibs
+Priority: extra
+Description: programs for the libvirt library
+ Libvirt is a C toolkit to interact with the virtualization capabilities
+ of recent versions of Linux (and other OSes). The library aims at providing
+ a long term stable C API for different virtualization mechanisms. It currently
+ supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
+ .
+ This is a transitional package. You can safely remove it.
+
+Package: libvirt-clients
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libvirt0 (= ${binary:Version}),
+Section: admin
+Replaces: libvirt-bin (<< 1.2.6-1~)
+Conflicts: libvirt-bin (<< 1.2.6-1~)
+Description: programs for the libvirt library
+ Libvirt is a C toolkit to interact with the virtualization capabilities
+ of recent versions of Linux (and other OSes). The library aims at providing
+ a long term stable C API for different virtualization mechanisms. It currently
+ supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
+ .
+ This package contains the libvirt shell virsh and other client binaries.
+
+Package: libvirt-daemon
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libvirt0 (= ${binary:Version}),
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Recommends: netcat-openbsd,
- bridge-utils,
- dnsmasq-base (>= 2.46-1),
- iptables (>= 1.4.10),
+Recommends:
  qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
- ebtables,
+ netcat-openbsd,
+Description: programs for the libvirt library
+ Libvirt is a C toolkit to interact with the virtualization capabilities
+ of recent versions of Linux (and other OSes). The library aims at providing
+ a long term stable C API for different virtualization mechanisms. It currently
+ supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
+ .
+ This package contains the libvirt-daemon.
+
+Package: libvirt-daemon-system
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ adduser,
+ gettext-base,
+ libvirt-clients (= ${binary:Version}),
+ libvirt-daemon (= ${binary:Version}),
+ logrotate,
+Recommends:
+ bridge-utils,
  dmidecode,
- iproute,
+ dnsmasq-base (>= 2.46-1),
+ ebtables [linux-any],
+ iproute2,
+ iptables (>= 1.4.10) [linux-any],
  parted,
- pm-utils
+ pm-utils,
+Section: admin
 Suggests: policykit-1, radvd, auditd, systemtap, systemd, apparmor
-Description: programs for the libvirt library
- Libvirt is a C toolkit to interact with the virtualization capabilities
- of recent versions of Linux (and other OSes). The library aims at providing
- a long term stable C API for different virtualization mechanisms. It currently
- supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
- .
- This package contains the supporting binaries to use with libvirt
+Breaks: avahi-daemon (<< 0.6.31-3~)
+Replaces: libvirt-bin (<< 1.2.7-4~)
+Conflicts: libvirt-bin (<< 1.2.6-1~)
+Description: Libvirt daemon configuration files
+ Libvirt is a C toolkit to interact with the virtualization capabilities
+ of recent versions of Linux (and other OSes). The library aims at providing
+ a long term stable C API for different virtualization mechanisms. It currently
+ supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
+ .
+ This package contains the configuration files to run the libvirt daemon as a
+ system service.
 
 Package: libvirt0
 Architecture: any
@@ -139,7 +204,11 @@
 
 Package: libvirt-sanlock
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libvirt0 (= ${binary:Version}), augeas-tools
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ augeas-tools,
+ libvirt0 (= ${binary:Version}),
 Priority: extra
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
