=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
   WITH_NETCF          = --with-netcf
   WITH_SANLOCK        = --with-sanlock
   WITH_INIT_SCRIPT    =	--with-init-script=systemd
-  WITH_SYSTEMD        = --with-systemd-daemon
+  WITH_SYSTEMD        = --without-systemd-daemon
   WITH_AUDIT          = --with-audit
   WITH_SELINUX        = --with-selinux --with-secdriver-selinux --with-selinux-mount=/sys/fs/selinux
   WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
@@ -129,25 +129,22 @@
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
 
 override_dh_auto_test:
-	export LD_PRELOAD="";     \
-	export VIR_TEST_DEBUG=1;  \
-	[ -n "$(MAKE_CHECK)" ] || exit 0; \
-	if ! dh_auto_test -O--builddirectory=$(DEB_BUILDDIR); then \
-	    cat ./debian/build/gnulib/tests/test-suite.log \
-	        ./debian/build/tests/test-suite.log; \
-	    exit 1; \
-	fi
-
-override_dh_install:
+	# Disabled due to #781232
+
+override_dh_install-arch:
 	dh_install
 	# Copy upstream files to debian/ so dh_* can find them
 	cp debian/tmp/usr/lib/libvirt/libvirt-guests.sh \
 	    debian/libvirt-daemon-system.libvirt-guests.init
 	cp tools/libvirt-guests.sysconf \
 	    debian/libvirt-daemon-system.libvirt-guests.default
+	# Add our backward compat polkit rule
+	cp debian/polkit/60-libvirt.rules \
+	    debian/libvirt-daemon-system/usr/share/polkit-1/rules.d/
+	cp debian/polkit/60-libvirt.pkla \
+	    debian/libvirt-daemon-system/var/lib/polkit-1/localauthority/10-vendor.d/
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
 	# Linux supports more nice things:
-	dh_install -p libvirt-daemon-system usr/lib/systemd/system lib/systemd/
 	dh_install -p libvirt-daemon-system usr/lib/libvirt/virt-aa-helper
 	dh_install -p libvirt-daemon-system etc/apparmor.d
 	dh_install -p libvirt-daemon-system usr/share/polkit-1
@@ -175,11 +172,8 @@
 	rm -r debian/libvirt-daemon/usr/share/libvirt/api/
 
 override_dh_installinit:
-	dh_systemd_enable
 	dh_installinit -p libvirt-daemon-system --name=libvirtd --restart-after-upgrade -- defaults 28 72
 	dh_installinit -p libvirt-daemon-system --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
-	dh_systemd_start -p libvirt-daemon-system --restart-after-upgrade libvirtd.service
-	dh_systemd_start -p libvirt-daemon-system --no-restart-on-upgrade libvirt-guests.service virtlockd.socket virtlockd.service
 
 override_dh_installdocs:
 	dh_installdocs
